Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
H5FDonion_header.h File Reference

## Data Structures
struct | H5FD_onion_header_t

## Macros
#define | H5FD_ONION_ENCODED_SIZE_HEADER 40
#define | H5FD_ONION_HEADER_FLAG_PAGE_ALIGNMENT 0x2
#define | H5FD_ONION_HEADER_FLAG_WRITE_LOCK 0x1
#define | H5FD_ONION_HEADER_SIGNATURE "OHDH"
#define | H5FD_ONION_HEADER_VERSION_CURR 1

## Functions
H5_DLL size_t | H5FD__onion_header_decode (unsigned char *buf, H5FD_onion_header_t *header)
H5_DLL size_t | H5FD__onion_header_encode (H5FD_onion_header_t *header, unsigned char *buf, uint32_t *checksum)
H5_DLL herr_t | H5FD__onion_ingest_header (H5FD_onion_header_t *hdr_out, H5FD_t *raw_file, haddr_t addr)
H5_DLL herr_t | H5FD__onion_write_header (H5FD_onion_header_t *header, H5FD_t *file)

## Macro Definition Documentation

## ◆ H5FD_ONION_ENCODED_SIZE_HEADER

#define H5FD_ONION_ENCODED_SIZE_HEADER 40

## ◆ H5FD_ONION_HEADER_FLAG_PAGE_ALIGNMENT

#define H5FD_ONION_HEADER_FLAG_PAGE_ALIGNMENT 0x2

## ◆ H5FD_ONION_HEADER_FLAG_WRITE_LOCK

#define H5FD_ONION_HEADER_FLAG_WRITE_LOCK 0x1

## ◆ H5FD_ONION_HEADER_SIGNATURE

#define H5FD_ONION_HEADER_SIGNATURE "OHDH"

## ◆ H5FD_ONION_HEADER_VERSION_CURR

#define H5FD_ONION_HEADER_VERSION_CURR 1

## Function Documentation

## ◆ H5FD__onion_header_decode()

H5_DLL size_t H5FD__onion_header_decode | ( | unsigned char * | buf,
|  | H5FD_onion_header_t * | header )

## ◆ H5FD__onion_header_encode()

H5_DLL size_t H5FD__onion_header_encode | ( | H5FD_onion_header_t * | header,
|  | unsigned char * | buf,
|  | uint32_t * | checksum )

## ◆ H5FD__onion_ingest_header()

H5_DLL herr_t H5FD__onion_ingest_header | ( | H5FD_onion_header_t * | hdr_out,
|  | H5FD_t * | raw_file,
|  | haddr_t | addr )

## ◆ H5FD__onion_write_header()

H5_DLL herr_t H5FD__onion_write_header | ( | H5FD_onion_header_t * | header,
|  | H5FD_t * | file )